> For the complete documentation index, see [llms.txt](https://virtualcontact.gitbook.io/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://virtualcontact.gitbook.io/docs/developers/build-an-integration/contact-center-api/callrecording.md).

# CallRecording

## Get a specific Call Recording audio file

> Retrieve call recording audio by ID and type

```json
{"openapi":"3.1.1","info":{"title":"Contact Center API","version":"1.0"},"servers":[{"url":"/api/pbx"}],"paths":{"/call-recordings/{id}/{type}":{"get":{"description":"Retrieve call recording audio by ID and type","tags":["CallRecording"],"summary":"Get a specific Call Recording audio file","parameters":[{"schema":{"type":"string"},"description":"Call Recording ID","name":"id","in":"path","required":true},{"schema":{"type":"string"},"description":"Call Recording Audio Type","name":"type","in":"path","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/response.Response"}}}}}}}},"components":{"schemas":{"response.Response":{"type":"object","properties":{"code":{"type":"integer"},"data":{},"status":{"type":"string"}}}}}}
```

## Get a specific Call Recording Record

> Retrieve call recording by ID

```json
{"openapi":"3.1.1","info":{"title":"Contact Center API","version":"1.0"},"servers":[{"url":"/api/pbx"}],"paths":{"/call-recordings/{id}":{"get":{"description":"Retrieve call recording by ID","tags":["CallRecording"],"summary":"Get a specific Call Recording Record","parameters":[{"schema":{"type":"string"},"description":"Call Recording ID","name":"id","in":"path","required":true}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/response.Response"}}}}}}}},"components":{"schemas":{"response.Response":{"type":"object","properties":{"code":{"type":"integer"},"data":{},"status":{"type":"string"}}}}}}
```

## Get Call Recording Records

> Return list of Call Recording records with pagination

```json
{"openapi":"3.1.1","info":{"title":"Contact Center API","version":"1.0"},"servers":[{"url":"/api/pbx"}],"paths":{"/call-recordings":{"get":{"description":"Return list of Call Recording records with pagination","tags":["CallRecording"],"summary":"Get Call Recording Records","parameters":[{"schema":{"type":"string"},"description":"Parameter for order","name":"sortField","in":"query"},{"schema":{"type":"string"},"description":"Type order ASC or DESC","name":"sortOrder","in":"query"},{"schema":{"type":"string"},"description":"Filter field","name":"filterField","in":"query"},{"schema":{"type":"string"},"description":"Filter value","name":"filterValue","in":"query"},{"schema":{"type":"integer"},"description":"Page number","name":"page","in":"query"},{"schema":{"type":"integer"},"description":"Page size","name":"pageSize","in":"query"}],"responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"$ref":"#/components/schemas/response.Response"}}}}}}}},"components":{"schemas":{"response.Response":{"type":"object","properties":{"code":{"type":"integer"},"data":{},"status":{"type":"string"}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://virtualcontact.gitbook.io/docs/developers/build-an-integration/contact-center-api/callrecording.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
